Content & StorefrontPages
Get page by slug
Returns a published page by its slug.
Path Parameters
slug*string
URL-friendly identifier.
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://storefront.ecomiq.pe/v1/pages/polo-de-algodon" \ -H "x-Store-Domain: my-store"{ "id": "7204558912004326637", "name": "Mi tienda", "slug": "polo-de-algodon", "channel": "storefront", "layout": "Mi tienda", "version": 3, "settings": {}, "sections": [ { "id": "7204558912004327651", "type": "Mi tienda", "order": 1, "settings": {}, "blocks": [ { "id": "7204558912004323427", "type": "Mi tienda", "order": 1, "settings": {} } ] } ], "status": "draft", "hasPublishedVersion": true, "publishedOn": "2026-09-28T15:30:00Z", "publishedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z", "createdBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "updatedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "lastModifiedBy": "Mi tienda"}